Bug 1122254 - Puppet Module Content count is not updated after module upload
Summary: Puppet Module Content count is not updated after module upload
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
unspecified
low vote
Target Milestone: Unspecified
Assignee: Walden Raines
QA Contact: sthirugn@redhat.com
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks: GSS_Sat6Beta_Tracker, GSS_Sat6_Tracker
TreeView+ depends on / blocked
 
Reported: 2014-07-22 19:16 UTC by Shannon Hughes
Modified: 2016-04-22 16:42 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-11 12:18:48 UTC


Attachments (Terms of Use)
puppet count (20.33 KB, image/jpeg)
2014-07-22 19:16 UTC, Shannon Hughes
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 6776 None None None 2016-04-22 16:42:55 UTC

Description Shannon Hughes 2014-07-22 19:16:49 UTC
Created attachment 920033 [details]
puppet count

Description of problem:

1) Create a new repository and puppet type
2) click on the new repository and upload a puppet module
3) click on the repository name in left hand column or click on the "back to repository list" link
4) notice that the content column for the puppet repository still shows 0 puppet modules


see screenshot attached

Comment 1 Shannon Hughes 2014-07-22 19:20:55 UTC
also notice from screen shot that we are not handling singular tense "1 Puppet Modules"

Comment 2 RHEL Product and Program Management 2014-07-22 19:24:00 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 4 Brad Buckingham 2014-07-23 20:19:27 UTC
When resolving this bug, please ensure that rpm uploads also correctly update the count.  (I.e Same procedure but using yum repo)

Comment 5 Walden Raines 2014-07-24 17:45:59 UTC
Created redmine issue http://projects.theforeman.org/issues/6776 from this bug

Comment 6 Walden Raines 2014-07-24 17:50:30 UTC
PR: https://github.com/Katello/katello/pull/4482

Comment 7 Bryan Kearney 2014-07-24 20:04:29 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/6776 has been closed
-------------
Walden Raines
Applied in changeset commit:katello|70434017dd8cd43c1eece73c0349b6b54e15f449.

Comment 11 sthirugn@redhat.com 2014-09-04 14:22:26 UTC
Verified.  The puppet module count is now showing fine.

Version Tested:
GA Snap 7 - Satellite-6.0.4-RHEL-6-20140829.0

* apr-util-ldap-1.3.9-3.el6_0.1.x86_64
* candlepin-0.9.23-1.el6_5.noarch
* candlepin-common-1.0.1-1.el6_5.noarch
* candlepin-scl-1-5.el6_4.noarch
* candlepin-scl-quartz-2.1.5-5.el6_4.noarch
* candlepin-scl-rhino-1.7R3-1.el6_4.noarch
* candlepin-scl-runtime-1-5.el6_4.noarch
* candlepin-selinux-0.9.23-1.el6_5.noarch
* candlepin-tomcat6-0.9.23-1.el6_5.noarch
* elasticsearch-0.90.10-6.el6sat.noarch
* foreman-1.6.0.42-1.el6sat.noarch
* foreman-compute-1.6.0.42-1.el6sat.noarch
* foreman-gce-1.6.0.42-1.el6sat.noarch
* foreman-libvirt-1.6.0.42-1.el6sat.noarch
* foreman-ovirt-1.6.0.42-1.el6sat.noarch
* foreman-postgresql-1.6.0.42-1.el6sat.noarch
* foreman-proxy-1.6.0.30-1.el6sat.noarch
* foreman-selinux-1.6.0.14-1.el6sat.noarch
* foreman-vmware-1.6.0.42-1.el6sat.noarch
* katello-1.5.0-30.el6sat.noarch
* katello-ca-1.0-1.noarch
* katello-certs-tools-1.5.6-1.el6sat.noarch
* katello-installer-0.0.62-1.el6sat.noarch
* openldap-2.4.23-34.el6_5.1.x86_64
* openldap-devel-2.4.23-34.el6_5.1.x86_64
* pulp-katello-0.3-4.el6sat.noarch
* pulp-nodes-common-2.4.1-0.5.rc1.el6sat.noarch
* pulp-nodes-parent-2.4.1-0.5.rc1.el6sat.noarch
* pulp-puppet-plugins-2.4.1-0.5.rc1.el6sat.noarch
* pulp-puppet-tools-2.4.1-0.5.rc1.el6sat.noarch
* pulp-rpm-plugins-2.4.1-0.5.rc1.el6sat.noarch
* pulp-selinux-2.4.1-0.5.rc1.el6sat.noarch
* pulp-server-2.4.1-0.5.rc1.el6sat.noarch
* python-ldap-2.3.10-1.el6.x86_64
* ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
* ruby193-rubygem-runcible-1.1.0-2.el6sat.noarch

Comment 12 Bryan Kearney 2014-09-11 12:18:48 UTC
This was delivered with Satellite 6.0 which was released on 10 September 2014.


Note You need to log in before you can comment on or make changes to this bug.